<?php

use FiloBlu\Refilo\Model\Config\StoreFrontConfigProvider;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;
use Magento\Framework\DataObject;
use Magento\Store\Model\StoreManagerInterface;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$obj = $bootstrap->getObjectManager();
$state = $obj->get(State::class);
$state->setAreaCode('adminhtml');
$objectManager = ObjectManager::getInstance();

/** @var StoreManagerInterface $storeManager */
$storeManager = $objectManager->get(StoreManagerInterface::class);
/** @var StoreFrontConfigProvider $provider */
$provider = $objectManager->get(StoreFrontConfigProvider::class);

$scopeConfig = $objectManager->get(ScopeConfigInterface::class);
$store = $storeManager->getStore(2);
$scopeConfig->getValue('');//: $this->scopeConfig->getValue("", ScopeInterface::SCOPE_STORE, $store_code);
$data = $provider->getConfigs(
    new DataObject($scopeConfig->getValue()),
    null
);

print_r(json_encode($data, JSON_PRETTY_PRINT));
